4

Is it possible to install gstreamer0.10-ffmpeg needed for Clementine on Ubuntu 14.10? (see Clementine won't play .wma, with "Your GStreamer installation is missing a plugin" error)

10

The user who maintains the PPA mentioned in those answers also has a PPA exclusively for gstreamer0.10-ffmpeg. So do:

sudo add-apt-repository ppa:mc3man/gstffmpeg-keep
sudo apt-get update
sudo apt-get install gstreamer0.10-ffmpeg
2
  • For Ubuntu 15.10 one needs to download and install the package manually (see askubuntu.com/a/707612/173287). – Karl Richter Jan 6 '16 at 10:11
  • @KarlRichter it doesn't look like the package has changed much. Perhaps somebody should email the PPA maintainer requesting a bump in supported releases – muru Jan 6 '16 at 10:14
1

If you don't want to add the PPA, you can simply run this command:

  • If your system is 32-bit *Ubuntu Trusty (14.04):

    wget http://ppa.launchpad.net/mc3man/gstffmpeg-keep/ubuntu/pool/main/g/gstreamer0.10-ffmpeg/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_i386.deb && sudo dpkg -i gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_i386.deb
    
  • If your system is 64-bit *Ubuntu Trusty (14.04):

    wget http://ppa.launchpad.net/mc3man/gstffmpeg-keep/ubuntu/pool/main/g/gstreamer0.10-ffmpeg/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_amd64.deb && sudo dpkg -i gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~trusty2.1_amd64.deb
    
  • If your system is 32-bit *Ubuntu Utopic (14.10):

    wget http://ppa.launchpad.net/mc3man/gstffmpeg-keep/ubuntu/pool/main/g/gstreamer0.10-ffmpeg/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~utopic2_i386.deb && sudo dpkg -i gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~utopic2_i386.deb
    
  • If your system is 64-bit *Ubuntu Utopic (14.10):

    wget http://ppa.launchpad.net/mc3man/gstffmpeg-keep/ubuntu/pool/main/g/gstreamer0.10-ffmpeg/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~utopic2_amd64.deb && sudo dpkg -i gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~utopic2_amd64.deb
    
  • If your system is 32-bit *Ubuntu Vivid (15.04):

    wget http://ppa.launchpad.net/mc3man/gstffmpeg-keep/ubuntu/pool/main/g/gstreamer0.10-ffmpeg/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~vivid_i386.deb && sudo dpkg -i gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~vivid_i386.deb
    
  • If your system is 64-bit *Ubuntu Vivid (15.04):

    wget http://ppa.launchpad.net/mc3man/gstffmpeg-keep/ubuntu/pool/main/g/gstreamer0.10-ffmpeg/gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~vivid_amd64.deb && sudo dpkg -i gstreamer0.10-ffmpeg_0.10.13-5ubuntu1~vivid_amd64.deb
    
1
  • 1
    Package for 15.04 work for Ubuntu 15.10 as well. – Karl Richter Jan 6 '16 at 10:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.